Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface Entity

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

    public interface Entity

extends Type

A representation of the model object 'Entity'. Tipo complesso costituito da 1 o più feature (campi). Non è prevista la possibilità di definire gerarchie.

The following features are supported:

- `Features`
- `Versionuid`

See Also:
  `TypedefPackage.getEntity()`

Method Summary
`org.eclipse.emf.common.util.EList<Feature>` | `getFeatures()` Returns the value of the 'Features' containment reference list.
`int` | `getVersionuid()` Returns the value of the 'Versionuid' attribute.
`void` | `setVersionuid(int value)` Sets the value of the '`Versionuid`' attribute

Methods inherited from interface it.csi.mddtools.typedef.Type
`getAnnotations, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeatures

    org.eclipse.emf.common.util.EList<Feature> getFeatures()

  Returns the value of the 'Features' containment reference list. The list contents are of type `Feature`.

  If the meaning of the 'Features' containment reference list isn't clear, there really should be more of a description here...

  Campi che costituiscono il tipo complesso. Ciascuna feature può essere definita con un tipo semplice, array o complesso.

  Returns:
    the value of the 'Features' containment reference list.
  See Also:
    `TypedefPackage.getEntity_Features()`

### getVersionuid

    int getVersionuid()

  Returns the value of the 'Versionuid' attribute. The default value is `"1"`.

  If the meaning of the 'Versionuid' attribute isn't clear, there really should be more of a description here...

  campo opzionale che serve come marcatore di discontinuità dal punto di vista della retrocompatibilità. Tra due versioni differenti di uno stesso complex type la variazione del versionuid indica una non retrocompatibilità tra i due tipi.

  Returns:
    the value of the 'Versionuid' attribute.
  See Also:
    `setVersionuid(int)`, `TypedefPackage.getEntity_Versionuid()`

### setVersionuid

    void setVersionuid(int value)

  Sets the value of the '`Versionuid`' attribute.

  Parameters:
    `value` - the new value of the 'Versionuid' attribute.
  See Also:
    `getVersionuid()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD